Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple
Interface Hasher<V>

All Known Implementing Classes:
  BytesComparator

    public interface Hasher<V>

The Hasher allows a `Comparator` implementation to also be delegated to during hashCode generation during grouping partitioning.

If a Comparator is used to compare two types during grouping, its likely the `hashCode` value between the two objects will not be consistent. This allows to objects being equal to hash to the same bucket (reducer) during partitioning.

Method Summary
`int` | `hashCode(V value)` Return the hashCode of the given value.

Method Detail

### hashCode

    int hashCode(V value)

  Return the hashCode of the given value.

  Parameters:
    `value` - will never be null
  Returns:
    int hashCode of given value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.